%global pypi_name autobahn
%global commitId 01165cf27ada0c246cc23a1e5aac07a6b6839bdc

%global common_description %{expand:
Autobahn a networking library that is part of the Autobahn project and provides
implementations of
* The WebSocket Protocol http://tools.ietf.org/html/rfc6455_
* The Web Application Messaging Protocol (WAMP) https://wamp-proto.org/
for Twisted and for writing servers and clients.}
%global common_summary %{expand: Python networking library for WebSocket and WAMP}

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        23.1.2
Release:        1%{?dist}
Summary:        %{common_summary}

License:        MIT
URL:            https://github.com/crossbario/autobahn-python
Source0:        python-autobahn-01165cf27ada0c246cc23a1e5aac07a6b6839bdc.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
%{common_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        %{common_summary}

Requires:  python%{python3_pkgversion}-txaio >= 21.2.1
Requires:  python%{python3_pkgversion}-cryptography >= 3.4.6
Requires:  python%{python3_pkgversion}-hyperlink >= 21.0.0

%description -n python%{python3_pkgversion}-%{pypi_name}
%{common_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%license LICENSE
%{_bindir}/wamp
%{_bindir}/xbrnetwork
%{_bindir}/xbrnetwork-ui
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%dir %{python3_sitelib}/twisted
%dir %{python3_sitelib}/twisted/plugins
%dir %{python3_sitelib}/twisted/plugins/__pycache__
%{python3_sitelib}/twisted/plugins/autobahn*.py
%{python3_sitelib}/twisted/plugins/__pycache__/autobahn*.py*

%changelog
* Wed Feb 08 2023 James Marshall <jamarsha@redhat.com> 23.1.1-1
- Initial release
